com.google.gwt.user.client

## Class BaseListenerWrapper.WrapWindowScroll

- java.lang.Object
- - com.google.gwt.user.client.BaseListenerWrapper<WindowScrollListener>
  - - com.google.gwt.user.client.BaseListenerWrapper.WrapWindowScroll

All Implemented Interfaces:
  EventHandler, Window.ScrollHandler

Enclosing class:
  BaseListenerWrapper<T>

    static class BaseListenerWrapper.WrapWindowScroll
    extends BaseListenerWrapper<WindowScrollListener>
    implements Window.ScrollHandler

### Nested Class Summary

### Nested classes/interfaces inherited from class com.google.gwt.user.client.BaseListenerWrapper

`BaseListenerWrapper.WrapWindowClose, BaseListenerWrapper.WrapWindowResize, BaseListenerWrapper.WrapWindowScroll`

### Field Summary

### Fields inherited from class com.google.gwt.user.client.BaseListenerWrapper

`listener`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static void` `add(WindowScrollListener listener)` Deprecated.
`void` `onWindowScroll(Window.ScrollEvent event)` Fired when the browser window is scrolled.
`static void` `remove(HandlerManager manager, WindowScrollListener listener)`

### Methods inherited from class com.google.gwt.user.client.BaseListenerWrapper

`baseRemove, getListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### add

    @Deprecated
    public static void add(WindowScrollListener listener)

Deprecated.

#### remove

    public static void remove(HandlerManager manager,
                              WindowScrollListener listener)

#### onWindowScroll

    public void onWindowScroll(Window.ScrollEvent event)

Description copied from interface: `Window.ScrollHandler`
Fired when the browser window is scrolled.

Specified by:
  `onWindowScroll` in interface `Window.ScrollHandler`
Parameters:
  `event` - the event